Skip to main content
Operations Management/Tenant Management (Plus)/Organization Operations
POSTOrganization OperationsSince 2.4.0SynchronousAuth Required

CreateIAM2VirtualID

CreateIAM2VirtualID

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      The resource name.

    • passwordStringRequired

      密码。

    • descriptionString

      Optional. The detailed description of the resource.

    • attributesList

      Optional.

    • projectUuidString

      Optional.

    • organizationUuidString

      Optional.

    • resourceUuidString

      Optional.

    • tagUuidsList

      Optional. The tag UUID list.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryIAM2VirtualIDInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • stateStateRequired

      See state.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

    • attributesListRequired

      See attributes.

      • uuidStringRequired

        The resource UUID.

      • nameStringRequired

        The resource name.

      • valueStringRequired

        字段值。

      • typeAttributeTypeRequired

        See type.

        • nameStringRequired

          The resource name.

        • ordinalintRequired

          No description provided.

Endpoint

POST/zstack/v1/iam2/virtual-ids

/zstack/v1/iam2/virtual-ids

Operation ID

CreateIAM2VirtualID

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/iam2/virtual-ids' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","password":"<password>","description":"<description>","attributes":["<attributes>"],"projectUuid":"<projectUuid>","organizationUuid":"<organizationUuid>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "894f1c5bf6714a76b08324c69b8cac7c", "name": "id1", "state": "Enabled", "attributes": [ { "uuid": "04f039d7f3f04dc5a1b6bf9fe93e6cdd", "name": "attribute-name", "value": "attribute-value", "type": "Customized" } ] } }

Change History

This API has no change history records yet.

View all change history